Bug 727900 - repo status needs to support file sync
Summary: repo status needs to support file sync
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 26
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: pulp-verified
TreeView+ depends on / blocked
 
Reported: 2011-08-03 15:12 UTC by Preethi Thomas
Modified: 2013-09-09 16:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 13:59:56 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-03 15:12:49 UTC
Description of problem:

repo status only display status pf package sync. It should support the file sync as well.
[root@preethi ~]# pulp-admin repo status --id=file_repo_clone +------------------------------------------+
         Status for file_repo_clone
+------------------------------------------+
Repository: file_repo_clone
Number of Packages: 0
Last Sync: 2011-08-03 11:15:25-04:00

[root@preethi ~]# pulp-admin repo status --id=file_repo
+------------------------------------------+
            Status for file_repo
+------------------------------------------+
Repository: file_repo
Number of Packages: 0
Last Sync: 2011-08-03 11:13:48-04:00


Version-Release number of selected component (if applicable):
[root@preethi ~]# rpm -q pulp
pulp-0.0.218-1.fc14.noarch





Expected results:


Additional info:

Comment 1 Pradeep Kilambi 2011-08-03 19:03:41 UTC
commit d3faf46cc024122caefe2af7a3dee7fdc5563803

Comment 2 Jeff Ortel 2011-08-03 20:11:28 UTC
build: 0.219

Comment 3 Preethi Thomas 2011-08-08 14:14:19 UTC
verified

[root@preethi ~]# rpm -q pulp
pulp-0.0.222-1.fc14.noarch

[root@preethi ~]#  pulp-admin repo sync --id=file_repo1 -F
Sync for repository file_repo1 started
Sync: Finished
3/3 new items downloaded
0/3 existing items processed

Item Details: 
Files: 3/3

[root@preethi ~]#  pulp-admin repo status --id=file_repo1
+------------------------------------------+
            Status for file_repo1
+------------------------------------------+
Repository: file_repo1
Number of Files: 3
Last Sync: 2011-08-08 10:22:15-04:00

Comment 4 Preethi Thomas 2011-08-16 13:59:56 UTC
Closing with Community Release 15

pulp-0.0.223-4.


Note You need to log in before you can comment on or make changes to this bug.